6.0.0-git
2019-04-25

[#5889] Adding Users responsible for this Queue just repeats the same user.
Summary Adding Users responsible for this Queue just repeats the same user.
Queue Whups
Type Bug
State No Feedback
Priority 2. Medium
Owners
Requester eculp (at) encontacto (dot) net
Created 2007-11-14 (4180 days ago)
Due
Updated 2009-07-13 (3573 days ago)
Assigned 2007-11-15 (4179 days ago)
Resolved 2007-12-28 (4136 days ago)
Milestone
Patch No

History
2009-07-13 18:06:20 jdavis (at) standard (dot) k12 (dot) ca (dot) us Comment #11 Reply to this comment
In the current head version of Whups, adding users responsible for
the queue just repeats the first user.  The following is a sample
after adding two different users to a queue that I had assigned to
myself,only.

Users responsible for this Queue          eculp <eculp@casasponti.net>, eculp
<eculp@casasponti.net>, eculp <eculp@casasponti.net>
Did this get resolved?  I'm experiencing the same problem.
2007-12-28 23:13:53 Chuck Hagenbuch State ⇒ No Feedback
 
2007-12-18 18:37:48 Jan Schneider Comment #10 Reply to this comment
Ping?
2007-12-12 04:21:38 Chuck Hagenbuch Comment #9 Reply to this comment
A few more questions: does Whups behave as if the other users are 
marked responsible, or just you? And do you have the latest framework 
installed (with install-packages or symlinks, and make sure the 
symlinks haven't become stale files)?
2007-11-16 15:14:48 Chuck Hagenbuch Comment #8 Reply to this comment
Please slow down a little. No one is even saying you screwed it up 
(except you) - we just haven't found the bug yet. I asked about your 
data to see if it was a db problem or a display problem. Of course 
there's the possibility of user error, but so far it doesn't look that 
way.
2007-11-16 13:49:22 eculp (at) encontacto (dot) net Comment #7 Reply to this comment
Just to be sure there wasn't any old code, hacks, configuration, etc.   
I did an

   * rm -rf whups

   * droped all whups tables in mysql

   * Checked the database to be sure

   * cvs co whups

   * Copied all the config/*.dist files

   * Configured the conf.xml and just accepted the default 
configuration, NO CHANGES.

   * Created a new queue and assigned it to three DIFFERENT users.

On checking again I get:

eculp <eculp@encontacto.net>, eculp <eculp@encontacto.net>, eculp 
<eculp@encontacto.net>

I can't see where EVEN I could have screwed it up although I must have 
been able to.  If anyone has any suggestions they would be appreciated.



I am running:

   * mysql-5.1.22

   * php-5.2.5

   * Today's horde from cvs ( all modules )

   * OpenLdap -2.4.6 for authentication and turba.

   * FreeBSD 7.0-BETA2



Thanks
2007-11-16 04:27:40 Chuck Hagenbuch Deleted Original Message
 
2007-11-15 19:54:46 eculp (at) encontacto (dot) net Comment #6 Reply to this comment
Although, I didn't expect all the queue_id's to be 1?
Why not? Are there other queues you've set perms for? The data there
looks fine if you've set perms on just the first queue.
Then my dumb question would be why I see the same user repeated once 
for each user in EditQueues as in the Image that I attached previously.?
2007-11-15 19:32:18 Chuck Hagenbuch Comment #5 Reply to this comment
Although, I didn't expect all the queue_id's to be 1?
Why not? Are there other queues you've set perms for? The data there 
looks fine if you've set perms on just the first queue.
2007-11-15 18:37:33 eculp (at) encontacto (dot) net Comment #4 Reply to this comment
Sorry, I didn't add the php version: php5-5.2.5 and this is a cvs 
update from yesterday's head.
2007-11-15 18:34:08 eculp (at) encontacto (dot) net Comment #3
New Attachment: EditQueues.png
Reply to this comment
I'm testing this on another installation just to be sure and I'm 
guessing that this is the correct table.  Although, I didn't expect 
all the queue_id's to be 1?  I am attaching a screenshot of the 
EditQueues that shows all users as eculp@encontacto.net.



LOCK TABLES `whups_queues_users` WRITE;

/*!40000 ALTER TABLE `whups_queues_users` DISABLE KEYS */;

INSERT INTO `whups_queues_users` VALUES 
(1,'aodria@encontacto.net'),(1,'eculp@encontacto.net'),(1,'ernestoelche@encontacto.net'),(1,'hoabonce@encontacto.ne

t'),(1,'hostmaster@encontacto.net'),(1,'robert@encontacto.net'),(1,'yolac@encontacto.net');

/*!40000 ALTER TABLE `whups_queues_users` ENABLE KEYS */;

UNLOCK TABLES;


2007-11-15 04:13:08 Chuck Hagenbuch Comment #2
State ⇒ Feedback
Reply to this comment
I can't reproduce this, actually.



- Which Horde version are you using?

- What PHP version?

- What does the data in the whups_queues_users table look like?
2007-11-14 22:31:35 eculp (at) encontacto (dot) net Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Adding Users responsible for this Queue just repeats the same user.
Queue ⇒ Whups
Reply to this comment
In the current head version of Whups, adding users responsible for the 
queue just repeats the first user.  The following is a sample after 
adding two different users to a queue that I had assigned to 
myself,only.



Users responsible for this Queue          eculp <eculp@casasponti.net>, eculp

<eculp@casasponti.net>, eculp <eculp@casasponti.net>


Saved Queries